Last Comment Bug 737273 - drag feedback for input with placeholder showing has placeholder color
: drag feedback for input with placeholder showing has placeholder color
Status: RESOLVED FIXED
[fixed-in-bug-673873]
:
Product: Core
Classification: Components
Component: Layout: Form Controls (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Frank Yan (:fryn)
:
Mentors:
Depends on: 673873 737786
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 17:23 PDT by Karl Tomlinson (:karlt)
Modified: 2013-11-13 02:19 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Karl Tomlinson (:karlt) 2012-03-19 17:23:45 PDT
STR:
1. Load attachment 590476 [details].
2. Drag text over the text input control.

Expected results:
Regular caret at drop location.

Actual results
Drag feedback caret is faint.
Comment 1 Karl Tomlinson (:karlt) 2012-03-19 17:24:46 PDT
There are some comments about styling in bug 673873 that may be related.
Comment 2 Mounir Lamouri (:mounir) 2012-03-20 03:13:15 PDT
I'm not sure I understand what the bug is actually. Could you be more detailed?
Comment 3 Karl Tomlinson (:karlt) 2012-03-20 12:37:57 PDT
For text inputs without the placeholder showing, the drag feedback caret is black, as expected.
When the placeholder is showing, the drag feedback is the same color as the placeholder - grey.
Comment 4 Mounir Lamouri (:mounir) 2012-03-21 02:46:09 PDT
Indeed. I misunderstood your first comment actually. I hope this could be fixed if we use a pseudo-element instead of a pseudo-class to style the placeholder.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-03-21 14:36:30 PDT
Should we really be showing the placeholder while there's a drag feedback caret?  It seems to me that should hide the placeholder anyway.
Comment 6 Karl Tomlinson (:karlt) 2012-03-21 15:59:27 PDT
Hiding the placeholder when showing drag feedback sounds reasonable to me as it gives an indication of what would happen if the drop is made at that mouse position.
Comment 7 Mounir Lamouri (:mounir) 2012-03-22 02:35:47 PDT
Given that bug 673873 wants to make the placeholder stays when the element has the focus but no value, I think the behavior described in comment 5 would be inconsistent.
Also, it might be interesting to see what native UI do here.
Comment 8 Frank Yan (:fryn) 2012-05-25 11:20:14 PDT
Fixed in bug 673873.

Proper fix will be done in bug 737786.

Note You need to log in before you can comment on or make changes to this bug.